Subject: [PATCH] Skip unnecessary pte makeup when clearing it.

From: [email-masked] (bill4carson)
Date: Fri, 03 Feb 2012 18:09:08 +0800

On 2012?02?03? 17:35, Uwe Kleine-K?nig wrote:
> On Fri, Feb 03, 2012 at 03:43:58PM +0800, bill4carson wrote:
>>
>>
>> On 2012?02?03? 14:54, Uwe Kleine-K?nig wrote:
>>> Hello,
>>>
>>> On Mon, Jan 30, 2012 at 04:36:07PM +0800, bill4carson at gmail.com wrote:
>>>> From: Bill Carson<[email-masked]>
>>>>
>>>> If we are only about to clear a hardware pte entry, then pte makeup code is
>>>> unnecessary for cpu_v7_set_pte_ext and armv6_set_pte_ext, so just skip it.
>>>>
>>>> Signed-off-by: Bill Carson<[email-masked]>
>>> I havn't tested and I don't know if the patch brings any advantages like
>>> increased speed. But AFAICT it doesn't change the behaviour of
>>> armv6_set_pte_ext and cpu_v7_set_pte_ext.
>>>
>> Hi, Uwe
>>
>> I'm sorry I didn't state the purpose of this patch clearly.
>> As a matter of fact, it does change the behavior of set_pte_ext :)
> Depends on what you call behaviour (and it's not the 'u' you dropped
> that makes a difference :-). I meant that the side effects don't change.
> It's only that they are accomplished in a different (probably more
> effective) way.
>
Thanks for your explanation, I'm getting what you mean now :)

Yes, from outside point of view, set_pte_ext provides exact function as
before, from inside point of view, it will behave faster than before
with this little modification. I see no reason why not do so.

Or am I missing something here?

> Best regards
> Uwe

-- 
I am a slow learner
but I will keep trying to fight for my dreams!

--bill